Add and remove category source exclusions
curl --request POST \
--url https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"id": "6170135a49b4af38190970fe",
"nodeId": 12,
"sourceExclusions": [
{
"id": "61701259125b7225cbfb21b9",
"nodeId": 12
}
]
}
'import requests
url = "https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion"
payload = {
"id": "6170135a49b4af38190970fe",
"nodeId": 12,
"sourceExclusions": [
{
"id": "61701259125b7225cbfb21b9",
"nodeId": 12
}
]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: '6170135a49b4af38190970fe',
nodeId: 12,
sourceExclusions: [{id: '61701259125b7225cbfb21b9', nodeId: 12}]
})
};
fetch('https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '6170135a49b4af38190970fe',
'nodeId' => 12,
'sourceExclusions' => [
[
'id' => '61701259125b7225cbfb21b9',
'nodeId' => 12
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion"
payload := strings.NewReader("{\n \"id\": \"6170135a49b4af38190970fe\",\n \"nodeId\": 12,\n \"sourceExclusions\": [\n {\n \"id\": \"61701259125b7225cbfb21b9\",\n \"nodeId\": 12\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"6170135a49b4af38190970fe\",\n \"nodeId\": 12,\n \"sourceExclusions\": [\n {\n \"id\": \"61701259125b7225cbfb21b9\",\n \"nodeId\": 12\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"6170135a49b4af38190970fe\",\n \"nodeId\": 12,\n \"sourceExclusions\": [\n {\n \"id\": \"61701259125b7225cbfb21b9\",\n \"nodeId\": 12\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "6170135a49b4af38190970fe",
"nodeId": 12,
"name": "Furniture",
"sources": [
{
"id": "61701259125b7225cbfb21b9",
"name": "picture",
"breadcrumbString": "PRIMARY/Furniture/Chairs"
}
],
"sourceExclusions": [
{
"id": "61701259125b7225cbfb21b9",
"name": "picture",
"breadcrumbString": "PRIMARY/Furniture/Chairs"
}
]
}{
"code": 400,
"message": "Client error"
}{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Category
Add and remove category source exclusions
Adds and removes exclusions for category source, by ID. For example, a category source Electronics has Laptop, Mobile, and Tablet as children categories. It’s possible to exclude Tablet using this endpoint, so that it does not appear for shoppers.
POST
/
api-category
/
v1
/
category
/
source
/
exclusion
Add and remove category source exclusions
curl --request POST \
--url https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"id": "6170135a49b4af38190970fe",
"nodeId": 12,
"sourceExclusions": [
{
"id": "61701259125b7225cbfb21b9",
"nodeId": 12
}
]
}
'import requests
url = "https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion"
payload = {
"id": "6170135a49b4af38190970fe",
"nodeId": 12,
"sourceExclusions": [
{
"id": "61701259125b7225cbfb21b9",
"nodeId": 12
}
]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: '6170135a49b4af38190970fe',
nodeId: 12,
sourceExclusions: [{id: '61701259125b7225cbfb21b9', nodeId: 12}]
})
};
fetch('https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '6170135a49b4af38190970fe',
'nodeId' => 12,
'sourceExclusions' => [
[
'id' => '61701259125b7225cbfb21b9',
'nodeId' => 12
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion"
payload := strings.NewReader("{\n \"id\": \"6170135a49b4af38190970fe\",\n \"nodeId\": 12,\n \"sourceExclusions\": [\n {\n \"id\": \"61701259125b7225cbfb21b9\",\n \"nodeId\": 12\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"6170135a49b4af38190970fe\",\n \"nodeId\": 12,\n \"sourceExclusions\": [\n {\n \"id\": \"61701259125b7225cbfb21b9\",\n \"nodeId\": 12\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://live.copilot.fabric.inc/api-category/v1/category/source/exclusion")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"6170135a49b4af38190970fe\",\n \"nodeId\": 12,\n \"sourceExclusions\": [\n {\n \"id\": \"61701259125b7225cbfb21b9\",\n \"nodeId\": 12\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "6170135a49b4af38190970fe",
"nodeId": 12,
"name": "Furniture",
"sources": [
{
"id": "61701259125b7225cbfb21b9",
"name": "picture",
"breadcrumbString": "PRIMARY/Furniture/Chairs"
}
],
"sourceExclusions": [
{
"id": "61701259125b7225cbfb21b9",
"name": "picture",
"breadcrumbString": "PRIMARY/Furniture/Chairs"
}
]
}{
"code": 400,
"message": "Client error"
}{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Authorizations
authorizationapi_key
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Was this page helpful?
